Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Welcome to the CollectiveAccess support forum! Here the developers and community answer questions related to use of the software. Please include the following information in every new issue posted here:

  1. Version of the software that is used, along with browser and version

  2. If the issue pertains to Providence, Pawtucket or both

  3. What steps you’ve taken to try to resolve the issue

  4. Screenshots demonstrating the issue

  5. The relevant sections of your installation profile or configuration including the codes and settings defined for your local elements.


If your question pertains to data import or export, please also include:

  1. Data sample

  2. Your mapping


Answers may be delayed for posts that do not include sufficient information.

Messing around with moving to a new server. Is PHP7.2 supported?

edited April 2018 in Troubleshooting
Since I was going all in on an upgrade, I installed PHP7.2. Most things are OK, but throwing a lot of PHP errors in http error log.

Centos 7
MariaDB 10.0.34
PHP 7.2
Previous CA version 1.6.1

PHP Warning:  sizeof(): Parameter must be an array or an object that implements Countable in /wwwroot/ca/ca_admin/app/lib/core/Db/mysqli.php on line 252.
PHP Warning:  sizeof(): Parameter must be an array or an object that implements Countable in /wwwroot/ca/ca_admin/app/lib/core/BaseModel.php on line 1993
PHP Warning:  sizeof(): Parameter must be an array or an object that implements Countable in /wwwroot/ca/ca_admin/app/lib/core/BaseObject.php on line 90

and more. All look to reference sizeof()

Also in Providence, when I click a photo, it comes up, but once I click the zoom button once, the viewer blows up to a light black screen. I can see an error on the top left, "invalid Controller Path"

I can down grade to 7.1, while I would rather not as it is supported longer.

Thoughts?? Not in a big hurry because it is just testing right now.

Thanks All

Doug

Comments

  • Forgot, I am testing CA v1.7.6
  • Hi loubert -
    I'm having the same issues, though I am using MySQL. Have you had any luck on locating this issue?

  • Only the develop branch in GitHub (upcoming version 1.7.7) supports PHP 7.2

  • Hi Seth - Do you have an estimated time on when 1.7.7 might be ready for us? Thanks!

  • Later in July most likely

  • Hi.. do you have an estimated release date for 1.7.7 (for php7.2 support)
    Thanks
  • You can pull the develop branch in GitHub to get PHP 7.2 compatible code. As you can tell, we haven't gotten around to another release on the schedule we had hoped for. I'm hesitant to make predictions at the point, but within the next 6 weeks wouldn't be a bad bet.

  • Ok, Thanks Seth.
Sign In or Register to comment.